> For the complete documentation index, see [llms.txt](https://docs.ndax.in/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ndax.in/v3/fix/message-component/trdcaprptsidegrp.md).

# TrdCapRptSideGrp

Repeating group describing the sides involved in the trade capture report:

<table><thead><tr><th width="95">Tag</th><th width="152">Name</th><th width="137">Data Type</th><th width="82">Req’d</th><th>Description</th></tr></thead><tbody><tr><td>552</td><td>NoSides</td><td>NumInGroup</td><td>Y</td><td>Number of sides in this repeating group.<br>Required to be <code>2</code></td></tr><tr><td>54</td><td>Side</td><td>Char</td><td>Y</td><td>Side of this party.<br>Supported values:<br><code>1</code> = Buy<br><code>2</code> = Sell</td></tr><tr><td>1154</td><td>SideCurrency</td><td>Currency</td><td>Y</td><td>Currency used in the trade capture report.</td></tr><tr><td> 119</td><td>SettlCurrAmt</td><td>Amt</td><td>N</td><td>The amount of the <code>SideCurrency (119)</code> to be paid to this side for settlement of this trade.<br>Required if <code>LastQty (32)</code> is not included.</td></tr><tr><td>1444</td><td>SideLiquidityInd</td><td>Int</td><td>N</td><td>Indicator of whether liquidity was provided or taken.<br>Supported values:<br><code>1</code> = AddedLiquidity<br><code>2</code> = RemovedLiquidity</td></tr><tr><td> 37</td><td>OrderID</td><td>String</td><td>N</td><td>Unique identifier of the order as assigned by NDAX</td></tr><tr><td>11</td><td>ClOrdID</td><td>String</td><td>N</td><td>Client assigned unique identifier for the cancel or the cancel/replace request. Uniqueness must be guaranteed within a single trading day. Should not exceed 30 characters.</td></tr><tr><td>1427</td><td>SideExecID</td><td>String</td><td>N</td><td>Identifier for this side.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ndax.in/v3/fix/message-component/trdcaprptsidegrp.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
